The operation_identifier uniquely identifies an operation within a transaction.

export
interface

  RosettaOperationIdentifier

### Hierarchy

- RosettaOperationIdentifier

## Index

### Properties

- index
- network_index

## Properties

### index

index: number

- Defined in src/generated/models/RosettaOperationIdentifier.ts:27

The operation index is used to ensure each operation has a unique identifier within a transaction. This index is only relative to the transaction and NOT GLOBAL. The operations in each transaction should start from index 0. To clarify, there may not be any notion of an operation index in the blockchain being described.

memberof

  RosettaOperationIdentifier

### Optional network_index

network_index: number

- Defined in src/generated/models/RosettaOperationIdentifier.ts:33

Some blockchains specify an operation index that is essential for client use. For example, Bitcoin uses a network_index to identify which UTXO was used in a transaction. network_index should not be populated if there is no notion of an operation index in a blockchain (typically most account-based blockchains).

memberof

  RosettaOperationIdentifier

Generated using TypeDoc